% =======================================================
% Demo routine of crawfnos, for solving the Crawford number
%   of a matrix A by subspace methods.
%
% Created April 24, 2017. 
% =======================================================

% coefficient matrix
N = 120;
A = exp(pi*1/3*1i)*full(gallery('grcar',N)) - (4 + 2 * 1i) * eye(N); 

opts.dodisp = true; % display convergence results
% opts.mode = 'r';  % 3-vector subspace mode
[cn, z, info]=crawfnos(A, opts);
